<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (sertifikat) {
      <div>
        <h2 data-cy="sertifikatDetailsHeading"><span>Sertifikat</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ sertifikat.id }}</span>
          </dd>
          <dt><span>Kode Voucher</span></dt>
          <dd>
            <span>{{ sertifikat.kodeVoucher }}</span>
          </dd>
          <dt><span>Tgl Voucher</span></dt>
          <dd>
            <span>{{ sertifikat.tglVoucher | formatMediumDatetime }}</span>
          </dd>
          <dt><span>No Sertifikat</span></dt>
          <dd>
            <span>{{ sertifikat.noSertifikat }}</span>
          </dd>
          <dt><span>Tgl Sertifikat</span></dt>
          <dd>
            <span>{{ sertifikat.tglSertifikat | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Biaya Pnbp</span></dt>
          <dd>
            <span>{{ sertifikat.biayaPnbp }}</span>
          </dd>
          <dt><span>No Referensi Bni</span></dt>
          <dd>
            <span>{{ sertifikat.noReferensiBni }}</span>
          </dd>
          <dt><span>Status</span></dt>
          <dd>
            <span>{{ sertifikat.status }}</span>
          </dd>
          <dt><span>Update By</span></dt>
          <dd>
            <span>{{ sertifikat.updateBy }}</span>
          </dd>
          <dt><span>Update On</span></dt>
          <dd>
            <span>{{ sertifikat.updateOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Registration Id</span></dt>
          <dd>
            <span>{{ sertifikat.registrationId }}</span>
          </dd>
          <dt><span>Tgl Order</span></dt>
          <dd>
            <span>{{ sertifikat.tglOrder | formatMediumDate }}</span>
          </dd>
          <dt><span>Tgl Cancel</span></dt>
          <dd>
            <span>{{ sertifikat.tglCancel | formatMediumDate }}</span>
          </dd>
          <dt><span>Biaya Jasa</span></dt>
          <dd>
            <span>{{ sertifikat.biayaJasa }}</span>
          </dd>
          <dt><span>Invoice Submitted</span></dt>
          <dd>
            <span>{{ sertifikat.invoiceSubmitted }}</span>
          </dd>
          <dt><span>Report Submitted</span></dt>
          <dd>
            <span>{{ sertifikat.reportSubmitted }}</span>
          </dd>
          <dt><span>Akta</span></dt>
          <dd>
            @if (sertifikat.akta) {
              <div>
                <a [routerLink]="['/akta', sertifikat.akta.id, 'view']">{{ sertifikat.akta.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Cabang</span></dt>
          <dd>
            @if (sertifikat.cabang) {
              <div>
                <a [routerLink]="['/cabang', sertifikat.cabang.id, 'view']">{{ sertifikat.cabang.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Invoice</span></dt>
          <dd>
            @if (sertifikat.invoice) {
              <div>
                <a [routerLink]="['/invoice', sertifikat.invoice.id, 'view']">{{ sertifikat.invoice.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/sertifikat', sertifikat.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
